# frozen_string_literal: true

$LOAD_PATH.unshift File.expand_path('lib', __dir__)
require 'irclb/version'

Gem::Specification.new do |s|
  s.name          = 'irclb'
  s.version       = IrcLB::VERSION
  s.authors       = ['IotaSpencer']
  s.email         = ['me@iotaspencer.me']
  s.homepage      = 'https://github.com/IotaSpencer/irclb'
  s.licenses      = ['MIT']
  s.summary       = '[summary]'
  s.description   = '[description]'

  s.files         = Dir.glob('{bin/*,lib/**/*,[A-Z]*}')
  s.platform      = Gem::Platform::RUBY
  s.require_paths = ['lib']
  s.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(tests)/})
  end
  s.bindir = 'bin'
  s.executables = s.files.grep(%r{^bin/}) do |f|
    wanted_bins = %w[irclb]
    File.basename(f) if wanted_bins.include?(Pathname.new(f).basename.to_s)
  end
end
